Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class QueryTriple

    java.lang.Object
      com.hp.hpl.jena.graph.query.QueryTriple

    public class QueryTriple

extends java.lang.Object

A QueryTriple is a composite of three QueryNodes derived from a single source triple. QueryTriple knows how to classify a triple into a QueryTriple based on the classification of that triple's elements. A QueryTriple can create a specific `Matcher` which will do the minimal amount of work to match triples that have been generated by `find` on the finder of that QueryTriple.

Author:
  hedgehog

Nested Class Summary
`static class` | `QueryTriple.SimpleApplyer`

Field Summary
`QueryNode` | `O`
`QueryNode` | `P`
`QueryNode` | `S`

Constructor Summary
`QueryTriple(QueryNode S, QueryNode P, QueryNode O)`

Method Summary
`static QueryTriple` | `classify(QueryNodeFactory f, Mapping m, Triple t)`
`static QueryTriple[]` | `classify(QueryNodeFactory f, Mapping m, Triple[] t)`
`Applyer` | `createApplyer(Graph g)`
`Matcher` | `createMatcher()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### S

    public final QueryNode S

### P

    public final QueryNode P

### O

    public final QueryNode O

Constructor Detail

### QueryTriple

    public QueryTriple(QueryNode S,
                       QueryNode P,
                       QueryNode O)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### classify

    public static QueryTriple[] classify(QueryNodeFactory f,
                                         Mapping m,
                                         Triple[] t)

### classify

    public static QueryTriple classify(QueryNodeFactory f,
                                       Mapping m,
                                       Triple t)

### createApplyer

    public Applyer createApplyer(Graph g)

### createMatcher

    public Matcher createMatcher()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP